[21.10 FEAT] openCryptoki cca token: import and export of secure key objects

Bug #1913301 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
opencryptoki (Ubuntu)
Fix Released
Undecided
Canonical Foundations Team

Bug Description

Support the interchange of CCA secure key objects (as generated by the CCA library) between code using the CCA library and code using openCryptoki with the cca token.

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-190882 severity-high targetmilestone-inin2104
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → opencryptoki (Ubuntu)
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Changed in opencryptoki (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → nobody
Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
Steve Langasek (vorlon)
tags: added: fr-1085
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-02-04 03:59 EDT-------
Feature will be integrated into openrcryptoki 2.16.0.

Frank Heimes (fheimes)
Changed in opencryptoki (Ubuntu):
status: New → Incomplete
summary: - [21.04 FEAT] openCryptoki cca token: import and export of secure key
+ [21.10 FEAT] openCryptoki cca token: import and export of secure key
objects
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-22 06:38 EDT-------
Feature will not make it for 21.04. Moved to 21.10
Expected with opencryptoki 3.16.0

tags: added: targetmilestone-inin2110
removed: targetmilestone-inin2104
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for opencryptoki (Ubuntu) because there has been no activity for 60 days.]

Changed in opencryptoki (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Frank Heimes (fheimes) wrote :

3.16 is out:
https://github.com/opencryptoki/opencryptoki/releases
is it now part of 3.16 or will it come later? (because it was mentioned 'Expected with opencryptoki >=3.16.0')

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-05-18 05:24 EDT-------
Feature implemented with version 3.16.0

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Changed in opencryptoki (Ubuntu):
status: Expired → New
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Frank Heimes (fheimes)
Changed in opencryptoki (Ubuntu):
status: New → Fix Released
Changed in ubuntu-z-systems:
status: Triaged → Fix Released
Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers